//P2C Generated Platform.h file
#ifndef _PLATFORM_H_
#define _PLATFORM_H_


//#include <propeller.h>
//#include <catalina_cog.h>
#include <stdio.h>
//#include "stdlib.h"
#include "stdint.h"
//#include "stdbool.h"

//local and remote file system access here.  Uncomment one or both or none
//#define USE_SD
//#define USE_HOST  //If using this, need to add something like "-9 C:\Prop2\Demos_P2\3Color_EInk" to loadp2 command line



int getpin(int pin)
{
    uint32_t mask;
    mask = 1 << pin;
    //_DIRA &= ~mask;
    _dira(-1, _dira(0, 0) & (~mask));
    return _ina() & mask ? 1 : 0;
}

void setpin(int pin, int value)
{
    uint32_t mask;
    mask = 1 << pin;
    if (value)
        _outa(-1, _outa(0, 0) | (mask)); //OUTA |= mask;
    else
        _outa(-1, _outa(0, 0) & (~mask)); //OUTA &= ~mask;
    _dira(-1, _dira(0, 0) | (mask)); //DIRA |= mask;
}

void togglepin(int pin)
{
    uint32_t mask;
    mask = 1 << pin;
    _outa(-1, _outa(0, 0) ^ (mask)); //OUTA ^= mask;
    _dira(-1, _dira(0, 0) | (mask)); //DIRA |= mask;
}


#endif /*_PLATFORM_H_*/
/* Nothing beyond this*/

